Intermittent devtools/client/framework/test/browser_toolbox_races.js | This test exceeded the timeout threshold. It should be rewritten or split up. If that's not possible, use requestLongerTimeout(N), but only as a last resort. -

REOPENED
Assigned to

Status

DevTools
Framework
P3
normal
REOPENED
a year ago
5 days ago

People

(Reporter: Treeherder Bug Filer, Assigned: ochameau)

Tracking

({intermittent-failure})

unspecified
Firefox 55
intermittent-failure

Firefox Tracking Flags

(firefox55 fixed)

Details

MozReview Requests

Submitter Diff Changes Open Issues Last Updated
Loading...
Error loading review requests:

Attachments

(1 attachment)

Priority: -- → P3

Comment 1

a year ago
9 failures in 690 pushes (0.013 failures/push) were associated with this bug in the last 7 days.  

Repository breakdown:
* autoland: 5
* mozilla-inbound: 3
* mozilla-central: 1

Platform breakdown:
* windows8-64: 4
* linux64: 3
* windows7-32-vm: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1331122&startday=2017-01-16&endday=2017-01-22&tree=all
We're seeing this test fail consistently in a code coverage build in e10s mode (https://treeherder.mozilla.org/#/jobs?repo=try&revision=e00b3e11f7ef1e7b3190b2d05ad2c831799f4df2&selectedJob=94062273).

Would increasing the timeout fix the problem?

From my limited understanding, the test seems a little brittle.
Flags: needinfo?(jryans)
I'll defer to :ochameau who added the test.
Flags: needinfo?(jryans) → needinfo?(poirot.alex)
(Assignee)

Comment 4

a year ago
It fails after the test finishes, so during test harness teardown.
So yes, most likely a timeout issue.
Flags: needinfo?(poirot.alex)
(Assignee)

Updated

a year ago
Assignee: nobody → poirot.alex
Comment hidden (mozreview-request)

Comment 6

a year ago
mozreview-review
Comment on attachment 8861529 [details]
Bug 1331122 - Increase test timeout for browser_toolbox_races.

https://reviewboard.mozilla.org/r/133498/#review136706

Indeed, even when successful the test takes between 75s and 90s, so already close to the timeout threshold with requestLongerTimeout(1).
Attachment #8861529 - Flags: review?(jdescottes) → review+

Comment 7

a year ago
Pushed by apoirot@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/3b0285d6f358
Increase test timeout for browser_toolbox_races. r=jdescottes

Comment 8

a year ago
bugherder
https://hg.mozilla.org/mozilla-central/rev/3b0285d6f358
Status: NEW → RESOLVED
Last Resolved: a year ago
status-firefox55: --- → fixed
Resolution: --- → FIXED
Target Milestone: --- → Firefox 55

Comment 9

a year ago
2 failures in 892 pushes (0.002 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-central: 2

Platform breakdown:
* linux64-ccov: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1331122&startday=2017-06-19&endday=2017-06-25&tree=all
Can we increase the timeout again?
Flags: needinfo?(poirot.alex)
(Assignee)

Updated

10 months ago
Flags: needinfo?(poirot.alex)

Comment 11

9 months ago
1 failures in 924 pushes (0.001 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-esr52: 1

Platform breakdown:
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1331122&startday=2017-09-04&endday=2017-09-10&tree=all

Comment 12

6 months ago
5 failures in 590 pushes (0.008 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-esr52: 5

Platform breakdown:
* linux64: 5

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1331122&startday=2017-12-18&endday=2017-12-24&tree=all
Recent failure log: https://treeherder.mozilla.org/logviewer.html#?job_id=153224139&repo=mozilla-esr52&lineNumber=2151

[task 2017-12-23T20:26:05.121337Z] 20:26:05     INFO - TEST-START | devtools/client/framework/test/browser_toolbox_races.js
[task 2017-12-23T20:27:40.925667Z] 20:27:40     INFO - TEST-INFO | started process screentopng
[task 2017-12-23T20:27:42.992766Z] 20:27:42     INFO - TEST-INFO | screentopng: exit 0
[task 2017-12-23T20:27:42.997011Z] 20:27:42     INFO - Buffered messages logged at 20:26:05
[task 2017-12-23T20:27:43.000132Z] 20:27:42     INFO - Entering test bound 
[task 2017-12-23T20:27:43.003498Z] 20:27:43     INFO - Adding a new tab with URL: data:text/html;charset=utf-8,Toggling devtools quickly
[task 2017-12-23T20:27:43.008117Z] 20:27:43     INFO - Tab added and finished loading
[task 2017-12-23T20:27:43.010916Z] 20:27:43     INFO - Trying to toggle the toolbox 3 times
[task 2017-12-23T20:27:43.015567Z] 20:27:43     INFO - Console message: [JavaScript Warning: "Key event not available on some keyboard layouts: key=“i” modifiers=“accel,alt,shift” id=“key_browserToolbox”" {file: "chrome://mochikit/content/tests/SimpleTest/EventUtils.js" line: 776}]
[task 2017-12-23T20:27:43.020061Z] 20:27:43     INFO - Buffered messages logged at 20:27:33
[task 2017-12-23T20:27:43.022654Z] 20:27:43     INFO - Toggled the toolbox 3 times
[task 2017-12-23T20:27:43.025223Z] 20:27:43     INFO - Buffered messages logged at 20:27:40
[task 2017-12-23T20:27:43.033774Z] 20:27:43     INFO - TEST-PASS | devtools/client/framework/test/browser_toolbox_races.js | right number of created events - 
[task 2017-12-23T20:27:43.037511Z] 20:27:43     INFO - TEST-PASS | devtools/client/framework/test/browser_toolbox_races.js | right number of ready events - 
[task 2017-12-23T20:27:43.040562Z] 20:27:43     INFO - TEST-PASS | devtools/client/framework/test/browser_toolbox_races.js | right number of destroy events - 
[task 2017-12-23T20:27:43.043756Z] 20:27:43     INFO - TEST-PASS | devtools/client/framework/test/browser_toolbox_races.js | right number of destroyed events - 
[task 2017-12-23T20:27:43.049597Z] 20:27:43     INFO - Leaving test bound 
[task 2017-12-23T20:27:43.052151Z] 20:27:43     INFO - Buffered messages finished
[task 2017-12-23T20:27:43.057620Z] 20:27:43     INFO - TEST-UNEXPECTED-FAIL | devtools/client/framework/test/browser_toolbox_races.js | This test exceeded the timeout threshold. It should be rewritten or split up. If that's not possible, use requestLongerTimeout(N), but only as a last resort. - 
[task 2017-12-23T20:27:43.061838Z] 20:27:43     INFO - MEMORY STAT | vsize 20973873MB | residentFast 889MB
[task 2017-12-23T20:27:43.064459Z] 20:27:43     INFO - TEST-OK | devtools/client/framework/test/browser_toolbox_races.js | took 95820ms
[task 2017-12-23T20:27:43.066865Z] 20:27:43     INFO - checking window state
Status: RESOLVED → REOPENED
Resolution: FIXED → ---

Comment 14

6 months ago
2 failures in 147 pushes (0.014 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-esr52: 2

Platform breakdown:
* linux64: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1331122&startday=2017-12-25&endday=2017-12-31&tree=all

Comment 15

3 months ago
1 failures in 747 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-esr52: 1

Platform breakdown:
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1331122&startday=2018-03-05&endday=2018-03-11&tree=all

Comment 16

3 months ago
1 failures in 814 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-esr52: 1

Platform breakdown:
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1331122&startday=2018-03-12&endday=2018-03-18&tree=all

Comment 17

3 months ago
1 failures in 822 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-esr52: 1

Platform breakdown:
* linux64: 1

For more details, see:
https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?bug=1331122&startday=2018-03-20&endday=2018-03-26&tree=trunk

Comment 18

2 months ago
2 failures in 765 pushes (0.003 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-esr52: 2

Platform breakdown:
* linux64: 2

For more details, see:
https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?bug=1331122&startday=2018-04-02&endday=2018-04-08&tree=trunk

Comment 19

a month ago
1 failures in 551 pushes (0.002 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-esr52: 1

Platform breakdown:
* linux64: 1

For more details, see:
https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?bug=1331122&startday=2018-04-30&endday=2018-05-06&tree=trunk

Updated

5 days ago
Product: Firefox → DevTools
You need to log in before you can comment on or make changes to this bug.